"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('index', () => {
    it('should printHelpFunction of its own config options interface', () => {
        const interface1 = 'src/__tests__/assets/interface1.ts';
        const config = {
            input: interface1,
            interfaceName: 'Options',
            format: 'markdown'
        };
        let help = __1.printHelp(config);
        expect(help).toContain('* `input`: (`string`) - mandatory - Path to the file containing the options');
        expect(help).toContain("* `format`: (`'markdown' | 'javascriptString'`) - optional - output format");
        // console.log(help);
        config.format = 'javascriptString';
        help = __1.printHelp(config);
        // console.log(help);
    });
});
//# sourceMappingURL=index.test.js.map